It looks like you followed an old link. Hopefully what you are looking for is shown below. Please update your bookmarks and feel free to contact me if you have any problems. Thanks!

Name Date Views
[ GTSA-00086 ] Eventum <= 1.5.5 Multiple Vulnerabilities
2005 Jul, 31 45319